POST V1/PaymentsMaster.{ext}/RemitCodes?pageIndex={pageIndex}&pageSize={pageSize}

Returns Check Remit Codes based on search criteria..
Mandatory Fileds: ProductId,VendorName
Optional Fileds : AccountNumber,ClientId,Status,RemitCode

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

Indicates how many records to skip .

integer

Default value is 0

pageSize

Indicates number of records to be returned.

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

This is accountRemitCode Obj.

EMS.Payments.Entities.AccountRemitCode
NameDescriptionTypeAdditional information
ClientId

Gets or sets Client Id

string

None.

ProductId

Gets or sets Product Id

string

None.

ProductName

Gets or sets Product Id

string

None.

PaymentMethod

Gets or sets Payment Method

string

None.

RemitCode

Gets or sets Remit Code

string

None.

VendorName

Gets or sets Vendor Payee Name

string

None.

Status

Gets or sets status

string

None.

AccountNumber

Gets or sets Account Number

string

None.

AccountId

Gets or sets Account Number

string

None.

TransactionsToBeApproved

Gets or sets Transactions To Be Approved.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "clientId": "sample string 1",
  "productId": "sample string 2",
  "productName": "sample string 3",
  "paymentMethod": "sample string 4",
  "remitCode": "sample string 5",
  "vendorName": "sample string 6",
  "status": "sample string 7",
  "accountNumber": "sample string 8",
  "accountId": "sample string 9",
  "transactionsToBeApproved": "sample string 10"
}

application/xml, text/xml

Sample:
<AccountRemitCode xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <AccountId>sample string 9</AccountId>
  <AccountNumber>sample string 8</AccountNumber>
  <ClientId>sample string 1</ClientId>
  <PaymentMethod>sample string 4</PaymentMethod>
  <ProductId>sample string 2</ProductId>
  <ProductName>sample string 3</ProductName>
  <RemitCode>sample string 5</RemitCode>
  <Status>sample string 7</Status>
  <TransactionsToBeApproved>sample string 10</TransactionsToBeApproved>
  <VendorName>sample string 6</VendorName>
</AccountRemitCode>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

List of RemitCodes based on vendorId.

EMSResponseOfEMS.Payments.Entities.AccountRemitCodes
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.AccountRemitCodes

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "AccountRemitCodes",
  "response": {
    "accountRemitCodeList": [
      {
        "clientId": "sample string 1",
        "productId": "sample string 2",
        "productName": "sample string 3",
        "paymentMethod": "sample string 4",
        "remitCode": "sample string 5",
        "vendorName": "sample string 6",
        "status": "sample string 7",
        "accountNumber": "sample string 8",
        "accountId": "sample string 9",
        "transactionsToBeApproved": "sample string 10"
      },
      {
        "clientId": "sample string 1",
        "productId": "sample string 2",
        "productName": "sample string 3",
        "paymentMethod": "sample string 4",
        "remitCode": "sample string 5",
        "vendorName": "sample string 6",
        "status": "sample string 7",
        "accountNumber": "sample string 8",
        "accountId": "sample string 9",
        "transactionsToBeApproved": "sample string 10"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.